Name:           nginx-clickhouse
Version:        0.1
Release:        3
Summary:        Easy, configurable API mocking you can change on-the-fly
License:        ASL 2.0 
Source0:        nginx-clickhouse.service
Source1:        config.yml
BuildRequires:  golang
BuildRequires:  tree
Requires(pre): /usr/sbin/useradd, /usr/bin/getent
Requires(postun): /usr/sbin/userdel

# Use systemd for fedora >= 18, rhel >=7, SUSE >= 12 SP1 and openSUSE >= 42.1
%define use_systemd (0%{?fedora} && 0%{?fedora} >= 18) || (0%{?rhel} && 0%{?rhel} >= 7) || (!0%{?is_opensuse} && 0%{?suse_version} >=1210) || (0%{?is_opensuse} && 0%{?sle_version} >= 120100)

%if %use_systemd
BuildRequires: systemd
%endif

%description
Easy, configurable API mocking you can change on-the-fly

%build
export GOPATH=%{_builddir}/_build
echo $GOPATH
mkdir -p $GOPATH/src/github.com/mintance
git clone https://github.com/mintance/nginx-clickhouse.git $GOPATH/src/github.com/mintance/nginx-clickhouse
pwd
ls
cd $GOPATH/src/github.com/mintance/nginx-clickhouse
go mod init github.com/mintance/nginx-clickhouse
go get github.com/satyrius/gonx@master
go get github.com/mintance/go-clickhouse@master
find . -type f -exec sed -i 's/Sirupsen/sirupsen/g' {} \;
cd -
#go build -o nginx-clickhouse $GOPATH/src/github.com/patsevanton/nginx-clickhouse/main.go
ls $GOPATH/src/github.com/mintance/nginx-clickhouse/

pushd $GOPATH/src/github.com/mintance/nginx-clickhouse
go build -o ../../../../../nginx-clickhouse
popd

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 nginx-clickhouse %{buildroot}%{_bindir}/nginx-clickhouse
install -d %{buildroot}/etc/nginx-clickhouse
install -d %{buildroot}/etc/nginx-clickhouse/config
ls
pwd
cp %{SOURCE1} %{buildroot}/etc/nginx-clickhouse/config/config.yml
%if %{use_systemd}
%{__mkdir} -p %{buildroot}%{_unitdir}
%{__install} -m644 %{SOURCE0} \
    %{buildroot}%{_unitdir}/nginx-clickhouse.service
%endif

%pre
/usr/bin/getent group nginx-clickhouse > /dev/null || /usr/sbin/groupadd -r nginx-clickhouse
/usr/bin/getent passwd nginx-clickhouse > /dev/null || /usr/sbin/useradd -r -d /usr/lib/nginx-clickhouse -s /bin/bash -g nginx-clickhouse nginx-clickhouse

%post
%if %use_systemd
/usr/bin/systemctl daemon-reload
%endif

%preun
%if %use_systemd
/usr/bin/systemctl stop nginx-clickhouse
%endif

%postun
%if %use_systemd
/usr/bin/systemctl daemon-reload
%endif

%files
%defattr(-,nginx-clickhouse,nginx-clickhouse,-)
%{_bindir}/nginx-clickhouse
/etc/nginx-clickhouse/config/config.yml
%if %{use_systemd}
%{_unitdir}/nginx-clickhouse.service
%endif
